Create item offer
curl --request POST \
--url https://api.lolboost.gg/api/v1/items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"external_id": "item-123",
"title": "LoL Gift Item",
"price": 999,
"type": "gift",
"game": "lol",
"server": "EUW",
"stock": 10,
"status": "listed",
"description": "<string>"
}
'import requests
url = "https://api.lolboost.gg/api/v1/items"
payload = {
"external_id": "item-123",
"title": "LoL Gift Item",
"price": 999,
"type": "gift",
"game": "lol",
"server": "EUW",
"stock": 10,
"status": "listed",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
external_id: 'item-123',
title: 'LoL Gift Item',
price: 999,
type: 'gift',
game: 'lol',
server: 'EUW',
stock: 10,
status: 'listed',
description: '<string>'
})
};
fetch('https://api.lolboost.gg/api/v1/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 55,
"external_id": "item-123",
"lolboost_item_id": 55,
"title": "LoL Gift Item",
"type": "gift",
"game": "lol",
"server": "EUW",
"price": 999,
"stock": 10,
"status": "listed",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"message": "Unauthenticated."
}{
"message": "Unauthenticated."
}{
"message": "Unauthenticated."
}Items
Create item offer
POST
/
api
/
v1
/
items
Create item offer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Success
Example:
55
Example:
"item-123"
Example:
55
Example:
"LoL Gift Item"
Example:
"gift"
Example:
"lol"
Example:
"EUW"
Example:
999
Example:
10
Example:
"listed"
⌘I